#include "sdl/gui/menu.h"
#include "sdl/compat.h"
#include "sdl/gui/tfont.h"

static menu_item_t gui_menu[8];
extern int add_gui_options(menu_item_t *menu);
extern int add_fonts_gui_options(menu_item_t *menu);
TMenu *gui_options;

int do_gui_options(int sel) {
  int nb = 0;
  nb += add_fonts_gui_options(&gui_menu[nb]);
  nb += add_gui_options(&gui_menu[nb]);
  nb += add_menu_options(&gui_menu[nb]);
  gui_options = new TMenu("GUI options", gui_menu);
  gui_options->execute();
  delete gui_options;
  return 0;
}

